using BarContracts.BindingModels;
using BarContracts.ViewModels;

namespace BarContracts.BusinessLogicContracts
{
    public interface IReportLogic
    {
        List<ReportCocktailComponentViewModel> GetCocktailComponents();

        List<ReportOrdersViewModel> GetOrders(ReportBindingModel Model);

        void SaveComponentsToWordFile(ReportBindingModel Model);

        void SaveCocktailComponentToExcelFile(ReportBindingModel Model);

        void SaveOrdersToPdfFile(ReportBindingModel Model);
    }
}
